<template>
	<mind-layout-table :data="ListaRecursos" rowKey="category" 
		:path="$route.path" @delete="onDelete" >
			<!-- <el-table-column sortable width="200px" prop="type" label="Tipo"  /> -->
			<el-table-column sortable prop="category" label="Contexto"  />
	</mind-layout-table>
</template>

<script>
// import store from '@/store/troncales'
import {Rest} from '@/../modules/mind-core-vue'

export default {
  async created() {

		this.api = new Rest({
			uri: `api/ami/dialplan`, 
			key: 'id'})

		this.contextos = await this.api.FetchAll().catch((error)=>{
			this.$message({
				showClose: true,
				type: 'error',
				message: error
			});
		})
	},
	computed:{
		ListaRecursos() {
			let res = this.contextos
			if(!this.contextos) {
				return []
			}
			res.sort((a, b)=>{
				if(a.category > b.category) {
					return 1
				}
				if(a.category < b.category) {
					return -1
				}
				return 0
			})
			return res
		},

	},
	methods: {
		/**
		 * Elimina el recuros especificado
		 * @param id recurso del elemento a eliminar
		 */
		onDelete(id){
			this.api.Delete(id).catch((error)=>{
				this.$message({
					showClose: true,
					type: 'error',
					message: error
				});
			})
		},
	},
	data() {
		return {
			api: null,
			contextos: []
		}
	}
	
}
</script>
<style >

</style>
